# onyx_igmp – Configures IGMP global parameters

New in version 2.7.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module provides declarative management of IGMP protocol params on Mellanox ONYX network devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

default_version
-

Choices:
- V2
- V3

Configure the default operating version of the IGMP snooping

last_member_query_interval - |  | Configure the last member query interval, range 1-25
mrouter_timeout - |  | Configure the mrouter timeout, range 60-600
port_purge_timeout - |  | Configure the host port purge timeout, range 130-1225

proxy_reporting
-

Choices:
- enabled
- disabled

Configure ip igmp snooping proxy and enable reporting mode

report_suppression_interval - |  | Configure the report suppression interval, range 1-25

state
- / required

Choices:
- enabled
- disabled

IGMP state.

unregistered_multicast
-

Choices:
- flood
- forward-to-mrouter-ports

Configure the unregistered multicast mode Flood unregistered multicast Forward unregistered multicast to mrouter ports

## Notes

Note

- Tested on ONYX 3.6.6107

## Examples

    - name: configure igmp
      onyx_igmp:
        state: enabled
        unregistered_multicast: flood

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always | The list of configuration mode commands to send to the device. Sample: ['ip igmp snooping', 'ip igmp snooping last-member-query-interval 10', 'ip igmp snooping mrouter-timeout 150', 'ip igmp snooping port-purge-timeout 150']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Samer Deeb (@samerd)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.